summaryrefslogtreecommitdiffstats
path: root/make_slackware_live.sh
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2016-08-22 13:30:43 +0200
committer Eric Hameleers <alien@slackware.com>2016-08-22 13:30:43 +0200
commita8a413869035fdf596c8033ee8de5f88a5444306 (patch)
treeeec9b8990ec57b45f4c947e5cf111f49711fff3c /make_slackware_live.sh
parentd7583280bc78679b9faa29a7525cd91ea24d1399 (diff)
downloadliveslak-a8a413869035fdf596c8033ee8de5f88a5444306.tar.gz
liveslak-a8a413869035fdf596c8033ee8de5f88a5444306.tar.xz
Remove the confusing Openbox entry from xsessions menu if present.
Diffstat (limited to 'make_slackware_live.sh')
-rwxr-xr-xmake_slackware_live.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/make_slackware_live.sh b/make_slackware_live.sh
index cddb699..d196e7d 100755
--- a/make_slackware_live.sh
+++ b/make_slackware_live.sh
@@ -1496,8 +1496,10 @@ if [ "$LIVEDE" = "PLASMA5" ]; then
echo "-- Configuring PLASMA5."
# -------------------------------------------------------------------------- #
+ # Remove the confusing openbox session if present:
+ rm -f ${LIVE_ROOTDIR}/usr/share/xsessions/openbox-session.desktop || true
# Remove the buggy mediacenter session:
- rm ${LIVE_ROOTDIR}/usr/share/xsessions/plasma-mediacenter.desktop || true
+ rm -f ${LIVE_ROOTDIR}/usr/share/xsessions/plasma-mediacenter.desktop || true
# Set sane SDDM defaults on first boot (root-owned file):
mkdir -p ${LIVE_ROOTDIR}/var/lib/sddm
cat <<EOT > ${LIVE_ROOTDIR}/var/lib/sddm/state.conf